%global commit 133bd6a766ea7b299882b70228f217ae5931dd6b
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global commitdate 20180723

%global appname chatterino

Name:           chatterino2
Version:        0
Release:        1.%{commitdate}git%{shortcommit}%{?dist}
Summary:        Twitch chat client

# FIXME: submodule licenses
License:        MIT
URL:            https://github.com/fourtf/chatterino2

Source0:        https://github.com/fourtf/%{name}/archive/%{commit}/%{name}-%{commit}.tar.gz

%global humanize_commit 4e00a03623966723f23ca3034c1ad944009cd7be
Source1:        https://github.com/pajlada/humanize/archive/%{humanize_commit}/humanize-%{humanize_commit}.tar.gz

%global libcommuni_commit a31ffb037eadac65dba73ad2b2da6dafe31e3bf7
Source2:        https://github.com/hemirt/libcommuni/archive/%{libcommuni_commit}/libcommuni-%{libcommuni_commit}.tar.gz

%global qBreakpad_commit a4626c12e9ae6f02fc1ca7a4e399bd8307424103
Source3:        https://github.com/jiakuan/qBreakpad/archive/%{qBreakpad_commit}/qBreakpad-%{qBreakpad_commit}.tar.gz

%global rapidjson_commit f54b0e47a08782a6131cc3d60f94d038fa6e0a51
Source4:        https://github.com/Tencent/rapidjson/archive/%{rapidjson_commit}/rapidjson-%{rapidjson_commit}.tar.gz

%global settings_commit 7f0db95f245fb726e756ecde15a800c0928b054b
Source5:        https://github.com/pajlada/settings/archive/%{settings_commit}/settings-%{settings_commit}.tar.gz

%global signals_commit e03c868ec922027a0e672b64388808beb1297816
Source6:        https://github.com/pajlada/signals/archive/%{signals_commit}/signals-%{signals_commit}.tar.gz

%global websocketpp_commit 19cad9925f83d15d7487c16f0491f4741ec9f674
Source7:        https://github.com/zaphoyd/websocketpp/archive/%{websocketpp_commit}/websocketpp-%{websocketpp_commit}.tar.gz

Source8:        %{appname}.appdata.xml
Source9:        %{appname}.desktop
Source10:       %{appname}.png

BuildRequires:  gcc-c++
BuildRequires:  boost-devel
BuildRequires:  openssl-devel
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtmultimedia-devel
BuildRequires:  qt5-qtsvg-devel
BuildRequires:  libappstream-glib
BuildRequires:  desktop-file-utils


%description
Chatterino 2 is the second installment of the Twitch chat client
series "Chatterino".


%prep
%setup -qn %{name}-%{commit}

rmdir lib/humanize
tar -xf %{SOURCE1}
mv humanize-%{humanize_commit} lib/humanize

rmdir lib/libcommuni
tar -xf %{SOURCE2}
mv libcommuni-%{libcommuni_commit} lib/libcommuni

rmdir lib/qBreakpad
tar -xf %{SOURCE3}
mv qBreakpad-%{qBreakpad_commit} lib/qBreakpad

rmdir lib/rapidjson
tar -xf %{SOURCE4}
mv rapidjson-%{rapidjson_commit} lib/rapidjson

rmdir lib/settings
tar -xf %{SOURCE5}
mv settings-%{settings_commit} lib/settings

rmdir lib/signals
tar -xf %{SOURCE6}
mv signals-%{signals_commit} lib/signals

rmdir lib/websocketpp
tar -xf %{SOURCE7}
mv websocketpp-%{websocketpp_commit} lib/websocketpp


%build
%{qmake_qt5} %{appname}.pro
make %{?_smp_mflags}


%install
# executable
install -p -m 755 -D bin/%{appname} %{buildroot}%{_bindir}/%{appname}

# application icon
install -p -m 644 -D %{SOURCE10} %{buildroot}%{_datadir}/pixmaps/%{appname}.png

# appdata
install -p -m 644 -D %{SOURCE8} %{buildroot}%{_datadir}/appdata/%{appname}.appdata.xml
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/%{appname}.appdata.xml

# desktop file
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE9}


%files
%license LICENSE
%doc README.md
%{_bindir}/%{appname}
%{_datadir}/pixmaps/%{appname}.png
%{_datadir}/appdata/%{appname}.appdata.xml
%{_datadir}/applications/%{appname}.desktop


%changelog
* Thu Jul 26 2018 Nikola Forró <nforro@redhat.com> - 0-1.20180723git133bd6a
- Rebase to upstream commit 133bd6a766ea7b299882b70228f217ae5931dd6b

* Mon Jun 25 2018 Nikola Forró <nforro@redhat.com> - 0-1.20180625gita91d652
- Rebase to upstream commit a91d6525ad8a4e6ac71f05078d962a7adbed094f

* Mon Jun 18 2018 Nikola Forró <nforro@redhat.com> - 0-1.20180614git635d4b2
- Rebase to upstream commit 635d4b23416ecbed35256c1a206b85ae271318fb

* Wed May 16 2018 Nikola Forró <nforro@redhat.com> - 0-1.20180516git64160e6
- Initial package
